package com.zgd.dx.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgd.dx.model.DxData;
import com.zgd.dx.model.dto.DxDataDto;
import com.zgd.dx.model.vo.DxDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DxDataMapper extends BaseMapper<DxData> {
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 14:38
     *  @Description: 通过
     */
    DxDataDto listByUserId(@Param("vo") DxDataVo dxDataVo);
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 14:37
     *  @Description: 通过用户id按日统计数据
     */
    List<DxDataDto> listByUserIdAndDateTime(@Param("vo") DxDataVo dxDataVo);
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/9 14:48
     *  @Description: 根据用户id和日期查询统计数据
     */
    DxDataDto listByUserIdByDay(@Param("vo") DxDataVo dxDataVo);
}
