package com.zgd.dx.dao;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zgd.dx.model.Uuser;
import com.zgd.dx.model.vo.UserQueryVo;
import com.zgd.dx.utils.BasePageResult;
import org.apache.ibatis.annotations.Param;

@DS("uncall_db")
public interface UuserMapper extends BaseMapper<Uuser> {
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/12 17:29
     *  @Description: 用戶分頁
     */
    Page<Uuser> queryUserPage(@Param("page") Page<Uuser> page, @Param("vo") UserQueryVo userQueryVo);
}
