package com.zgd.exception;


public class SystemException extends RuntimeException {

    private static final long serialVersionUID = -8279298258775808815L;
    private final String code;

    public SystemException(String message) {
        super(message);
        this.code = "500";
    }

    public SystemException(String code, String message) {
        super(message);
        this.code = code;
    }

    public SystemException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public String getCode() {
        return code;
    }

}

