package com.zgd.dx.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zgd.dx.model.DxData;
import com.zgd.dx.model.dto.DxDataDto;
import com.zgd.dx.model.vo.DxDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 *  @version
 *  @author: hxl
 *  @Date: 2024/9/5 15:26
 *  @Description: xiao
 */
public interface DxDataService extends IService<DxData> {

    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 12:08
     *  @Description:  通過用戶id和时间段查询电销统计数据
     */
    DxDataDto listByUserId(@Param("vo") DxDataVo dxDataVo);
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 14:36
     *  @Description: 通過用戶id、按日分组统计数据
     */
    List<DxDataDto> listByUserIdAndDateTime(@Param("vo") DxDataVo dxDataVo);
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/9 14:46
     *  @Description: 根具用户id、日期查询数据
     */
    DxDataDto listByUserIdByDay(@Param("vo") DxDataVo dxDataVo);
}
